/* random.h  --  a random collection of functions that probably belong */
/*               somewhere else                                        */

#if !defined RANDOM_DEF
#define RANDOM_DEF

#include "stop.h"
#include "modules.h"
#include "seqno.h"
#include "optmult.h"
#include "linalg.h"
#include "error.h"

int alpha(unit n); /* number of bits in n */

   /* WARNING: clears profile */
   /* returns number of summands */
int new_stoplist_from_vector(stoplist *st, unit *dat, modinfo *mi);

void extract_diff(unit *res, element *e, unit *dat, modinfo *mi);

void add_diff(unit *(res[]), int num, minimatrix *mat, element *bas, 
	      module *ms, modinfo *mi, int deg);

void add_basis_vector_to_module_vector(unit *bvec, element *bs, 
				       unit *mvec, modinfo *mi);

#endif
