/* stoputils.h   -   combined stuff for stop, algebra, profile */

#if !defined STOPUTILS_DEF
#define STOPUTILS_DEF

#include <stdio.h>
#include "stop.h"
#include "profile.h"
#include "algebra.h"

int compare_stops_same_signature(stop *s, stop *t);
int compare_stops(stop *s, stop *t);

int stop_has_signature(stop *s, signature *sig);
void get_signature(signature *sig, stop *s);
void set_signature(stop *s, signature *sig);

int first_stop(stop *s, int *deglist, int deg); 
int next_stop(stop *s, int *deglist);

int makebasis(int deg, signature *sig, int id, stop *bas);
int count(int deg, signature *sig);

#endif
