/* modseqno.c   --   sequence number of stops in modules */

#include "modseqno.h"

/*
typedef struct {
   module *mod;
   int tdegree;
   int numgens;
   int totdim;
   int dims[MAXGENS];
} modinfo;
*/

void make_modinfo(modinfo *mi, module *m, int t) {
   int k,res = 0;
   mi->mod = m;
   mi->tdegree = t;
   mi->numgens = m->numgens;
   for (k=0;k<m->numgens;k++) {
      mi->dims[k] = res;
      if (t < (m->gens[k]).deg) break;
      res += dim(t - (m->gens[k]).deg);
   }
   mi->totdim = res;
}

int module_seqno(stop *s, modinfo *mi) { /* sequence number of *s in *mi */
   int res = mi->dims[s->id];
   return res + seqno(s);
}

int module_seqno_with_degree(stop *s, modinfo *mi, int deg) {
  int res = mi->dims[s->id];
  return res + seqno_with_degree(s,deg - mi->mod->gens[s->id].deg);
}
